package com.fzm.mall.server.front.valid;

import org.apache.commons.lang3.StringUtils;

import java.util.regex.Pattern;


/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
public class LongValid {

    /**
     * 校验正整数
     */
    public static boolean positiveLong(String num) {
        return StringUtils.isNotBlank(num) && Pattern.matches("^[1-9]\\d{0,18}$", num);
    }

    /**
     * 校验非负整数
     */
    public static boolean positiveLongZero(String num) {
        return StringUtils.isNotBlank(num) && Pattern.matches("^[1-9]\\d{0,18}$|^0$", num);
    }
}
